# -*- coding: UTF-8 -*-
from pyeole.process import system_out

def test_admin():
    """
    Vérification des groupes AD pour admin
    """
    groups = system_out(['id', 'admin'])[1]
    assert '(domain admins)' in groups
    assert '(professeurs)' in groups


def test_eole_workstation_manager():
    """
    Vérification des groupes AD pour eole-workstation-manager
    """
    groups = system_out(['id', 'eole-workstation-manager'])[1]
    assert '(domain admins)' in groups

def test_eole_workstation_reader():
    """
    Vérification des groupes AD pour eole-workstation-reader
    """
    groups = system_out(['id', 'eole-workstation-reader'])[1]
    assert '(domain users)' in groups
